Index: mibs/bdcom/NMS-IF-MIB
===================================================================
--- mibs/bdcom/NMS-IF-MIB	(revision 9757)
+++ mibs/bdcom/NMS-IF-MIB	(working copy)
@@ -120,8 +120,8 @@
               SYNTAX  INTEGER {
                           other(1),          -- none of the following
                           voiceEM(100),       -- voice recEive and transMit
-                   		  voiceFXO(101),      -- voice Foreign Exchange Office
-                   		  voiceFXS(102)       -- voice Foreign Exchange Station
+                          voiceFXO(101),      -- voice Foreign Exchange Office
+                          voiceFXS(102)       -- voice Foreign Exchange Station
                       }
               ACCESS  read-only
               STATUS  mandatory
@@ -160,8 +160,8 @@
           vifAdminStatus OBJECT-TYPE
               SYNTAX  INTEGER {
                           up(1),       -- ready to pass packets
-                   		  down(2),
-                   		  testing(3)   -- in some test mode
+                          down(2),
+                          testing(3)   -- in some test mode
                       }
               ACCESS  read-write
               STATUS  mandatory
@@ -198,9 +198,7 @@
                       initialization of the local network management
                       subsystem, then this object contains a zero
                       value."
-              ::= { vifEntry 9 }              
-              
-              
+              ::= { vifEntry 9 }
 
           ifStormControlTable OBJECT-TYPE
               SYNTAX  SEQUENCE OF IfStormControlEntry
@@ -247,7 +245,6 @@
                       initialization."
               ::= { ifStormControlEntry 1 }
 
-
           ifStormControlBroadcast OBJECT-TYPE
               SYNTAX  INTEGER(10..1000000)
               ACCESS  read-write
@@ -272,7 +269,7 @@
                       "Interface Storm Control Unicast, range is 10-1000000kbps"
               ::= { ifStormControlEntry 4 }
 
- --ifSfpParameterTable
+--ifSfpParameterTable
              ifSfpParameterTable OBJECT-TYPE
                  SYNTAX  SEQUENCE OF ifSfpParameterEntry
                  ACCESS  not-accessible
@@ -295,16 +292,36 @@
                  SEQUENCE {
                      IfIndex
                          INTEGER,
-                     txPower
+                     txPower1
                          INTEGER,
-                     rxPower
+                     rxPower1
                          INTEGER,   
                      temperature
                          INTEGER,
                      vlotage
                          INTEGER,
-                     curr
-                         INTEGER                           
+                     curr1
+                         INTEGER,
+                     vendname
+                         OCTET STRING,
+                     txPower2
+                         INTEGER,
+                     rxPower2
+                         INTEGER,   
+                     curr2
+                         INTEGER,
+                     txPower3
+                         INTEGER,
+                     rxPower3
+                         INTEGER,   
+                     curr3
+                         INTEGER,
+                     txPower4
+                         INTEGER,
+                     rxPower4
+                         INTEGER,   
+                     curr4
+                         INTEGER
                  }
 
              IfIndex OBJECT-TYPE
@@ -314,23 +331,23 @@
                  DESCRIPTION
                          "The only diid of port in System."
                  ::= { ifSfpParameterEntry 1 } 
-        
-             txPower OBJECT-TYPE
+
+             txPower1 OBJECT-TYPE
                  SYNTAX  INTEGER
                  ACCESS  read-only
                  STATUS  mandatory
                  DESCRIPTION
-                         "The tx power of optical module. The unit is 0.1DBm."
+                         "The tx power 1 of optical module. The unit is 1DBm."
                  ::= { ifSfpParameterEntry 2 } 
-    
-             rxPower OBJECT-TYPE
+
+             rxPower1 OBJECT-TYPE
                  SYNTAX  INTEGER
                  ACCESS  read-only
                  STATUS  mandatory
                  DESCRIPTION
-                         "The rx power of optical module. The unit is 0.1DBm."
+                         "The rx power 1 of optical module. The unit is 1DBm."
                  ::= { ifSfpParameterEntry 3 } 
-     
+
              temperature OBJECT-TYPE
                  SYNTAX  INTEGER
                  ACCESS  read-only
@@ -338,7 +355,7 @@
                  DESCRIPTION
                          "Sfp module temperature. The unit is 1/256 degree."
                  ::= { ifSfpParameterEntry 4 } 
-    
+
              vlotage OBJECT-TYPE
                  SYNTAX  INTEGER
                  ACCESS  read-only
@@ -346,17 +363,150 @@
                  DESCRIPTION
                          "Sfp module volt. The unit is 0.1mV."
                  ::= { ifSfpParameterEntry 5 } 
-    
-             curr OBJECT-TYPE
+
+             curr1 OBJECT-TYPE
                  SYNTAX  INTEGER
                  ACCESS  read-only
                  STATUS  mandatory
                  DESCRIPTION
-                         "Sfp module bias current. The unit is 2mA."
+                         "Sfp module bias current 1. The unit is 2uA."
                  ::= { ifSfpParameterEntry 6 }
-              
-              
-              
-                 
+
+             vendname OBJECT-TYPE
+                 SYNTAX  OCTET STRING
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "Sfp module vend name."
+                 ::= { ifSfpParameterEntry 7 }
+            txPower2 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The tx 2 power of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 8 } 
+            rxPower2 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The rx 2 power of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 9 } 
+            curr2 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "Sfp module bias current 2. The unit is 2uA."
+                 ::= { ifSfpParameterEntry 10 }
+            txPower3 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The tx 3 power of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 11 } 
+            rxPower3 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The rx 3 power of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 12 } 
+            curr3 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "Sfp module bias current 3. The unit is 2uA."
+                 ::= { ifSfpParameterEntry 13 }
+            txPower4 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The tx 4 power  of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 14 } 
+            rxPower4 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The rx 4 power of optical module. The unit is 1DBm."
+                 ::= { ifSfpParameterEntry 15 } 
+            curr4 OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "Sfp module bias current 4. The unit is 2uA."
+                 ::= { ifSfpParameterEntry 16 }    
+
+ --cableDiagnoseTable
+             cableDiagnoseTable OBJECT-TYPE
+                 SYNTAX  SEQUENCE OF CableDiagnoseEntry
+                 ACCESS  not-accessible
+                 STATUS  mandatory
+                 DESCRIPTION
+                          "A interface list of cable diagnose table entries."
+                 ::= { nmsIfObjects 8 }
+
+             cableDiagnoseEntry OBJECT-TYPE
+                 SYNTAX CableDiagnoseEntry
+                 ACCESS  not-accessible
+                 STATUS  mandatory
+                 DESCRIPTION
+                          "A collection of cable diagnose objects in the
+                          interface table."
+                 INDEX { ifIndex }
+             ::= { cableDiagnoseTable 1 }
+
+             CableDiagnoseEntry ::=
+                 SEQUENCE {
+                     ifIndex
+                         INTEGER,
+                     enable
+                         INTEGER,
+                     period
+                         INTEGER,   
+                     description 
+                         OCTET STRING                      
+                 }
+
+             ifIndex OBJECT-TYPE
+                 SYNTAX  INTEGER
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "The only diid of port in System."
+                 ::= { cableDiagnoseEntry 1 } 
+
+             enable OBJECT-TYPE
+                 SYNTAX  INTEGER{
+                                enable(1),
+                                disable(2)
+                                }
+                 ACCESS  read-write
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "enable=1,disable=2."
+                 ::= { cableDiagnoseEntry 2 } 
+
+             period OBJECT-TYPE
+                 SYNTAX  INTEGER(0..32767)
+                 ACCESS  read-write
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "period=0 means manual scanning, the range of auto scanning period is 1-32767."
+                 ::= { cableDiagnoseEntry 3 } 
+
+             description OBJECT-TYPE
+                 SYNTAX  OCTET STRING 
+                 ACCESS  read-only
+                 STATUS  mandatory
+                 DESCRIPTION
+                         "cable diagnoisis descpription."
+                 ::= { cableDiagnoseEntry 4 } 
+
 END
-
Index: mibs/bdcom/NMS-INTERFACE-EXT
===================================================================
--- mibs/bdcom/NMS-INTERFACE-EXT	(revision 9757)
+++ mibs/bdcom/NMS-INTERFACE-EXT	(working copy)
@@ -18,7 +18,7 @@
             MacAddress,TruthValue,DisplayString
 				FROM SNMPv2-TC;
  nmsIfExtMIB  MODULE-IDENTITY
-        LAST-UPDATED    "20030918"
+        LAST-UPDATED    "200309180000Z"
         ORGANIZATION    ""
         CONTACT-INFO
                 	""
@@ -877,13 +877,13 @@
 
           ifDisableCause OBJECT-TYPE
               SYNTAX  INTEGER{
-                              loopback_detected(1),
-                              bpdu_guard(2),
-                              oam_remote_failure(3),
-                              oam_link_monitor(4),
-                              system_mac_addr_filtered(5),
-                              inconsistent_ring_port(6),
-                              link_unstable(7)
+                              loopback-detected(1),
+                              bpdu-guard(2),
+                              oam-remote-failure(3),
+                              oam-link-monitor(4),
+                              system-mac-addr-filtered(5),
+                              inconsistent-ring-port(6),
+                              link-unstable(7)
                              }
               ACCESS  read-only
               STATUS  mandatory
@@ -933,8 +933,8 @@
 
           ifExtGlobalLinkTrapSwitch OBJECT-TYPE
               SYNTAX  INTEGER{
-                            global_disable(0),
-              		    global_enable(1)
+                            global-disable(0),
+              		    global-enable(1)
                              }
               ACCESS  read-write
               STATUS  mandatory
Index: mibs/bdcom/NMS-MEMORY-POOL-MIB
===================================================================
--- mibs/bdcom/NMS-MEMORY-POOL-MIB	(revision 9757)
+++ mibs/bdcom/NMS-MEMORY-POOL-MIB	(working copy)
@@ -48,7 +48,7 @@
     ::= { nmsMemoryPoolMIB 1 }
 
 nmsMemoryPoolTotalMemorySize OBJECT-TYPE
-    SYNTAX        Unsigned32
+    SYNTAX        INTEGER
     MAX-ACCESS    read-only
     STATUS        current
     DESCRIPTION
@@ -159,31 +159,36 @@
 
 -- units of conformance
 
-nmsMemoryPoolGroup OBJECT-GROUP
-    OBJECTS {
-        nmsMemoryPoolName,
-        nmsMemoryPoolAlternate,
-        nmsMemoryPoolValid,
-        nmsMemoryPoolUsed,
-        nmsMemoryPoolFree,
-        nmsMemoryPoolLargestFree
-    }
-    STATUS        current
-    DESCRIPTION
-        "A collection of objects providing memory pool monitoring."
-    ::= { nmsMemoryPoolGroups 1 }
+nmsMemoryPoolGroup
+    OBJECT IDENTIFIER ::= { nmsMemoryPoolGroups 1 }
 
-nmsMemoryPoolUtilizationGroup OBJECT-GROUP
-    OBJECTS {
-        nmsMemoryPoolUtilization1Min,
-        nmsMemoryPoolUtilization5Min,
-        nmsMemoryPoolUtilization10Min
-    }
-    STATUS        current
-    DESCRIPTION
-        "An optional group providing a collection of memory pool
-        utilization objects."
-    ::= { nmsMemoryPoolGroups 2 }
+--nmsMemoryPoolGroup OBJECT-GROUP
+--    OBJECTS {
+--        nmsMemoryPoolName,
+--        nmsMemoryPoolAlternate,
+--        nmsMemoryPoolValid,
+--        nmsMemoryPoolUsed,
+--        nmsMemoryPoolFree,
+--        nmsMemoryPoolLargestFree
+--    }
+--    STATUS        current
+--    DESCRIPTION
+--        "A collection of objects providing memory pool monitoring."
+--    ::= { nmsMemoryPoolGroups 1 }
 
+nmsMemoryPoolUtilizationGroup
+    OBJECT IDENTIFIER ::= { nmsMemoryPoolGroups 2 }
+--nmsMemoryPoolUtilizationGroup OBJECT-GROUP
+--    OBJECTS {
+--        nmsMemoryPoolUtilization1Min,
+--        nmsMemoryPoolUtilization5Min,
+--        nmsMemoryPoolUtilization10Min
+--    }
+--    STATUS        current
+--    DESCRIPTION
+--        "An optional group providing a collection of memory pool
+--        utilization objects."
+--    ::= { nmsMemoryPoolGroups 2 }
 
+
 END
Index: mibs/bdcom/NMS-POWER-EXT-MIB
===================================================================
--- mibs/bdcom/NMS-POWER-EXT-MIB	(revision 9757)
+++ mibs/bdcom/NMS-POWER-EXT-MIB	(working copy)
@@ -103,7 +103,9 @@
 
 
                PowerDeviceType OBJECT-TYPE
-                   SYNTAX  INTEGER
+                   SYNTAX  INTEGER  { 
+                                    EMPTY-SHELF(0)                                  
+                                   }
                    ACCESS  read-only
                    STATUS  mandatory
                    DESCRIPTION
Index: mibs/bdcom/NMS-SWITCH-MIB
===================================================================
--- mibs/bdcom/NMS-SWITCH-MIB	(revision 9757)
+++ mibs/bdcom/NMS-SWITCH-MIB	(working copy)
@@ -41,7 +41,7 @@
 			FROM INET-ADDRESS-MIB;  			
                        
 switchMIB  MODULE-IDENTITY
-        LAST-UPDATED    "20090113"
+        LAST-UPDATED    "200901130000Z"
         ORGANIZATION    ""
         CONTACT-INFO
                 	""
@@ -109,8 +109,8 @@
 						SYNTAX		INTEGER { 
 										none                (1)
 										dynamic				(2),
-										static_accept		(3),
-										static_reject		(4)
+										static-accept		(3),
+										static-reject		(4)
 									}
 						MAX-ACCESS	read-write
 						STATUS		current
Index: mibs/d-link/DGS3627G-L2MGMT-MIB
===================================================================
--- mibs/d-link/DGS3627G-L2MGMT-MIB	(revision 9757)
+++ mibs/d-link/DGS3627G-L2MGMT-MIB	(working copy)
@@ -4331,8 +4331,8 @@
     swL2LoopDetectTrapMode OBJECT-TYPE
         SYNTAX      INTEGER {
                        none(1),
-                       loop_detected(2),
-                       loop_cleared(3),
+                       loop-detected(2),
+                       loop-cleared(3),
                        both(4)
                     }
         MAX-ACCESS  read-write
Index: mibs/eltex/ELTEX-FXS72
===================================================================
--- mibs/eltex/ELTEX-FXS72	(revision 9757)
+++ mibs/eltex/ELTEX-FXS72	(working copy)
@@ -793,7 +793,7 @@
 		
 	fxsMonitoringTemp1 OBJECT-TYPE
 		SYNTAX		Integer32
-		UNITS		"ÃÂ°C"
+		UNITS		"°C"
 		MAX-ACCESS	read-only
 		STATUS		current
 		DESCRIPTION
@@ -802,7 +802,7 @@
 		
 	fxsMonitoringTemp2 OBJECT-TYPE
 		SYNTAX		Integer32
-		UNITS		"ÃÂ°C"
+		UNITS		"°C"
 		MAX-ACCESS	read-only
 		STATUS		current
 		DESCRIPTION
@@ -811,7 +811,7 @@
 		
 	fxsMonitoringTemp3 OBJECT-TYPE
 		SYNTAX		Integer32
-		UNITS		"ÃÂ°C"
+		UNITS		"°C"
 		MAX-ACCESS	read-only
 		STATUS		current
 		DESCRIPTION
@@ -820,7 +820,7 @@
 	
 	fxsMonitoringTemp4 OBJECT-TYPE
 		SYNTAX		Integer32
-		UNITS		"ÃÂ°C"
+		UNITS		"°C"
 		MAX-ACCESS	read-only
 		STATUS		current
 		DESCRIPTION
Index: mibs/mikrotik/MIKROTIK-MIB
===================================================================
--- mibs/mikrotik/MIKROTIK-MIB	(revision 9757)
+++ mibs/mikrotik/MIKROTIK-MIB	(working copy)
@@ -7,11 +7,11 @@
 OBJECT-GROUP, NOTIFICATION-GROUP FROM SNMPv2-CONF;
 
 mikrotikExperimentalModule MODULE-IDENTITY
-  LAST-UPDATED "201801030000Z"
+  LAST-UPDATED "201812050000Z"
   ORGANIZATION "MikroTik"
   CONTACT-INFO "support@mikrotik.com"
   DESCRIPTION ""
-  REVISION "201801030000Z"
+  REVISION "201812050000Z"
   DESCRIPTION ""
   ::= { mikrotik 1 }
 
@@ -129,7 +129,9 @@
     mtxrWlStatSsid DisplayString,
     mtxrWlStatBssid MacAddress,
     mtxrWlStatFreq Integer32,
-    mtxrWlStatBand DisplayString
+    mtxrWlStatBand DisplayString,
+    mtxrWlStatTxCCQ Counter32,
+    mtxrWlStatRxCCQ Counter32
 }
 
 mtxrWlStatIndex OBJECT-TYPE
@@ -188,6 +190,21 @@
     DESCRIPTION ""
     ::= { mtxrWlStatEntry 8 }
 
+mtxrWlStatTxCCQ OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlStatEntry 9 }
+
+mtxrWlStatRxCCQ OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlStatEntry 10 }
+
+-- WlRtabTable
 mtxrWlRtabTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWlRtabEntry
     MAX-ACCESS not-accessible
@@ -500,7 +517,8 @@
     mtxrWlCMRtabRxRate Gauge32,
     mtxrWlCMRtabTxStrength Integer32,
     mtxrWlCMRtabRxStrength Integer32,
-    mtxrWlCMRtabSsid DisplayString
+    mtxrWlCMRtabSsid DisplayString,
+    mtxrWlCMRtabEapIdent DisplayString
 }
 
 mtxrWlCMRtabAddr OBJECT-TYPE
@@ -588,6 +606,13 @@
     DESCRIPTION ""
     ::= { mtxrWlCMRtabEntry 12 }
 
+mtxrWlCMRtabEapIdent OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRtabEntry 13 }
+
 mtxrWlCMRtabEntryCount OBJECT-TYPE
     SYNTAX Gauge32
     MAX-ACCESS read-only
@@ -595,6 +620,13 @@
     DESCRIPTION "Wireless CAPSMAN registration table entry count"
     ::= { mtxrWireless 6 }
 
+mtxrWlCMREntryCount OBJECT-TYPE
+    SYNTAX Gauge32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Wireless CAPSMAN remote-cap entry count"
+    ::= { mtxrWireless 10 }
+
 mtxrWlCMTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWlCMEntry
     MAX-ACCESS not-accessible
@@ -613,7 +645,9 @@
 MtxrWlCMEntry ::= SEQUENCE {
     mtxrWlCMIndex ObjectIndex,
     mtxrWlCMRegClientCount Counter32,
-    mtxrWlCMAuthClientCount Counter32
+    mtxrWlCMAuthClientCount Counter32,
+    mtxrWlCMState DisplayString,
+    mtxrWlCMChannel DisplayString
 }
 
 mtxrWlCMIndex OBJECT-TYPE
@@ -637,6 +671,79 @@
     DESCRIPTION ""
     ::= { mtxrWlCMEntry 3 }
 
+mtxrWlCMState OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMEntry 4 }
+
+mtxrWlCMChannel OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "for master only"
+    ::= { mtxrWlCMEntry 5 }
+
+--
+mtxrWlCMRemoteTable OBJECT-TYPE
+    SYNTAX SEQUENCE OF MtxrWlCMRemoteEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWireless 11 }
+
+mtxrWlCMRemoteEntry OBJECT-TYPE
+    SYNTAX MtxrWlCMRemoteEntry
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION "CAPSMAN remote-cap list"
+    INDEX { mtxrWlCMRemoteIndex }
+    ::= { mtxrWlCMRemoteTable 1 }
+
+MtxrWlCMRemoteEntry ::= SEQUENCE {
+    mtxrWlCMRemoteIndex ObjectIndex,
+    mtxrWlCMRemoteName DisplayString,
+    mtxrWlCMRemoteState DisplayString,
+    mtxrWlCMRemoteAddress DisplayString,
+    mtxrWlCMRemoteRadios Counter32
+}
+
+mtxrWlCMRemoteIndex OBJECT-TYPE
+    SYNTAX ObjectIndex
+    MAX-ACCESS not-accessible
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRemoteEntry 1 }
+
+mtxrWlCMRemoteName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRemoteEntry 2 }
+
+mtxrWlCMRemoteState OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRemoteEntry 3 }
+
+mtxrWlCMRemoteAddress OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRemoteEntry 4 }
+
+mtxrWlCMRemoteRadios OBJECT-TYPE
+    SYNTAX Counter32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWlCMRemoteEntry 5 }
+
 -- W60G
 mtxrWl60GTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWl60GEntry
@@ -663,7 +770,9 @@
     mtxrWl60GMcs Integer32,
     mtxrWl60GSignal Integer32,
     mtxrWl60GTxSector Integer32,
-    mtxrWl60GRxSector Integer32
+    mtxrWl60GTxSectorInfo DisplayString,
+    mtxrWl60GRssi Integer32,
+    mtxrWl60GPhyRate Gauge32
 }
 
 mtxrWl60GIndex OBJECT-TYPE
@@ -734,13 +843,27 @@
     DESCRIPTION ""
     ::= { mtxrWl60GEntry 9 }
 
-mtxrWl60GRxSector OBJECT-TYPE
+mtxrWl60GTxSectorInfo OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWl60GEntry 11 }
+
+mtxrWl60GRssi OBJECT-TYPE
     SYNTAX Integer32
     MAX-ACCESS read-only
     STATUS current
     DESCRIPTION ""
-    ::= { mtxrWl60GEntry 10 }
+    ::= { mtxrWl60GEntry 12 }
 
+mtxrWl60GPhyRate OBJECT-TYPE
+    SYNTAX Gauge32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION ""
+    ::= { mtxrWl60GEntry 13 }
+
 -- W60GSta
 mtxrWl60GStaTable OBJECT-TYPE
     SYNTAX SEQUENCE OF MtxrWl60GStaEntry
@@ -764,7 +887,9 @@
     mtxrWl60GStaMcs Integer32,
     mtxrWl60GStaSignal Integer32,
     mtxrWl60GStaTxSector Integer32,
-    mtxrWl60GStaRxSector Integer32
+    mtxrWl60GStaPhyRate Gauge32,
+    mtxrWl60GStaRssi Integer32,
+    mtxrWl60GStaDistance Integer32
 }
 
 mtxrWl60GStaIndex OBJECT-TYPE
@@ -809,14 +934,28 @@
     DESCRIPTION ""
     ::= { mtxrWl60GStaEntry 6 }
 
-mtxrWl60GStaRxSector OBJECT-TYPE
+mtxrWl60GStaPhyRate OBJECT-TYPE
+    SYNTAX Gauge32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "Mbits per second"
+    ::= { mtxrWl60GStaEntry 8 }
+
+mtxrWl60GStaRssi OBJECT-TYPE
     SYNTAX Integer32
     MAX-ACCESS read-only
     STATUS current
     DESCRIPTION ""
-    ::= { mtxrWl60GStaEntry 7 }
+    ::= { mtxrWl60GStaEntry 9 }
 
+mtxrWl60GStaDistance OBJECT-TYPE
+    SYNTAX Integer32
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "meters"
+    ::= { mtxrWl60GStaEntry 10 }
 
+
 mtxrWirelessGroup OBJECT-GROUP OBJECTS {
         mtxrWlStatTxRate,
 	mtxrWlStatRxRate,
@@ -825,6 +964,8 @@
         mtxrWlStatBssid,
 	mtxrWlStatFreq,
 	mtxrWlStatBand,
+        mtxrWlStatTxCCQ,
+        mtxrWlStatRxCCQ,
 	mtxrWlRtabStrength,
 	mtxrWlRtabTxBytes,
         mtxrWlRtabRxBytes,
@@ -865,6 +1006,7 @@
         mtxrWlCMRtabRxStrength,
         mtxrWlCMRtabSsid,
         mtxrWlCMRtabEntryCount,
+        mtxrWlCMREntryCount,
         mtxrWlCMRegClientCount,
         mtxrWlCMAuthClientCount,
         mtxrWl60GMode,
@@ -875,13 +1017,14 @@
         mtxrWl60GMcs,
         mtxrWl60GSignal,
         mtxrWl60GTxSector,
-        mtxrWl60GRxSector,
+        mtxrWl60GTxSectorInfo,
+        mtxrWl60GRssi,
+        mtxrWl60GPhyRate,
         mtxrWl60GStaConnected,
         mtxrWl60GStaRemote,
         mtxrWl60GStaMcs,
         mtxrWl60GStaSignal,
-        mtxrWl60GStaTxSector,
-        mtxrWl60GStaRxSector
+        mtxrWl60GStaTxSector
     }
     STATUS current
     DESCRIPTION ""
@@ -1251,7 +1394,7 @@
     ::= { mtxrHealth 16 }
 
 mtxrHlFanSpeed1 OBJECT-TYPE
-    SYNTAX DisplayString
+    SYNTAX Gauge32
     MAX-ACCESS read-only
     STATUS current
     DESCRIPTION "rpm"
@@ -1258,7 +1401,7 @@
     ::= { mtxrHealth 17 }
 
 mtxrHlFanSpeed2 OBJECT-TYPE
-    SYNTAX DisplayString
+    SYNTAX Gauge32
     MAX-ACCESS read-only
     STATUS current
     DESCRIPTION "rpm"
@@ -1594,6 +1737,13 @@
     DESCRIPTION "Upgrade firmware version"
     ::= { mtxrSystem 7 }
 
+mtxrBoardName OBJECT-TYPE
+    SYNTAX DisplayString
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION "board name"
+    ::= { mtxrSystem 8 }
+
 mtxrSystemGroup OBJECT-GROUP OBJECTS {
         mtxrSystemReboot,
         mtxrUSBPowerReset,
@@ -1601,7 +1751,8 @@
         mtxrFirmwareVersion,
         mtxrNote,
         mtxrBuildTime,
-        mtxrFirmwareUpgradeVersion
+        mtxrFirmwareUpgradeVersion,
+        mtxrBoardName
     }
     STATUS current
     DESCRIPTION ""
Index: mibs/snr/SNR-ERD-4
===================================================================
--- mibs/snr/SNR-ERD-4	(revision 9757)
+++ mibs/snr/SNR-ERD-4	(working copy)
@@ -12,7 +12,7 @@
 	; 
 
 snr MODULE-IDENTITY
-	LAST-UPDATED	"201504291200Z"
+	LAST-UPDATED	"201810261200Z"
 	ORGANIZATION	"NAG "
 	CONTACT-INFO	"erd@nag.ru"
 	DESCRIPTION
